API

List products

The products this connection can order, paginated oldest-exposed first. `sku` is a filter rather than a lookup: a merchant may give two products the same SKU, so it can return more than one product.

GET
/v1/products

The products this connection can order, paginated oldest-exposed first. sku is a filter rather than a lookup: a merchant may give two products the same SKU, so it can return more than one product.

Authorization

apiKey
AuthorizationBearer <token>

An API connection key, sent as Authorization: Bearer <key>. The x-api-key header is accepted as an alternative.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string
Length1 <= length
sku?string
Length1 <= length

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/products"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "shortDescription": "string",      "description": "string",      "sku": "string",      "retailPrice": 0,      "imageUrl": "http://example.com",      "mockupUrls": [        "http://example.com"      ],      "dimensions": {        "width": 0,        "height": 0,        "length": 0,        "unit": "INCH"      },      "weight": {        "value": 0,        "unit": "OUNCE"      },      "available": true,      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}